<?xml version="1.0" encoding="UTF-8"?>

<atfx_file version="atfx_file: V1.1.0"  xmlns="http://www.asam.net/ODS/5.2/Schema"
                                         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                                         xsi:schemaLocation="http://www.asam.net/ODS/5.2/Schema http://www.asam.net/ODS/5.2/Schema.xsd">
<!--
***************************************************************************************************************
* Based on ODS Base Model version *
***************************************************************************************************************
 -->
   <base_model_version>asam30</base_model_version>
<!-- 
***************************************************************************************************************
* declare application model meta data *
***************************************************************************************************************
 -->

   <application_model>
<!--
***************************************************************************************************************
* declare enumeration definitions *
***************************************************************************************************************
 -->
      <application_enumeration>
         <name>valid_enum</name>
         <item><name>editing</name><value>0</value></item>
         <item><name>valid</name><value>1</value></item>
         <item><name>archive</name><value>2</value></item>
      </application_enumeration>
      <application_enumeration>
         <name>axistype</name>
         <item><name>Xaxis</name><value>0</value></item>
         <item><name>Yaxis</name><value>1</value></item>
         <item><name>Both</name><value>2</value></item>
      </application_enumeration>

      <application_element><name>CatSensor</name><basetype>AoAny</basetype>
         <application_attribute><name>Id</name><base_attribute>id</base_attribute><datatype>DT_LONGLONG</datatype><autogenerate>true</autogenerate><obligatory>true</obligatory><unique>true</unique><length>1</length></application_attribute>
         <application_attribute><name>Name</name><base_attribute>name</base_attribute><datatype>DT_STRING</datatype><autogenerate>false</autogenerate><obligatory>true</obligatory><unique>false</unique><length>50</length></application_attribute>
         <application_attribute><name>MimeType</name><base_attribute>mime_type</base_attribute><datatype>DT_STRING</datatype><autogenerate>false</autogenerate><obligatory>true</obligatory><unique>false</unique><length>256</length></application_attribute>
         <application_attribute><name>Description</name><base_attribute>description</base_attribute><datatype>DT_STRING</datatype><autogenerate>false</autogenerate><obligatory>false</obligatory><unique>false</unique><length>500</length></application_attribute>
         <application_attribute><name>DateCreated</name><base_attribute>version_date</base_attribute><datatype>DT_DATE</datatype><autogenerate>false</autogenerate><obligatory>false</obligatory><unique>false</unique><length>30</length></application_attribute>
         <relation_attribute><name>CatTestEquipmentComp</name><ref_to>CatTestEquipmentComp</ref_to><base_relation>parent</base_relation><min_occurs>0</min_occurs><max_occurs>1</max_occurs><inverse_name>CatSensor</inverse_name></relation_attribute>
         <relation_attribute><name>CatSensorAttr</name><ref_to>CatSensorAttr</ref_to><base_relation>children</base_relation><min_occurs>0</min_occurs><max_occurs>Many</max_occurs><inverse_name>CatSensor</inverse_name></relation_attribute>
      </application_element>
      <application_element><name>CatSensorAttr</name><basetype>AoAny</basetype>
         <application_attribute><name>Id</name><base_attribute>id</base_attribute><datatype>DT_LONGLONG</datatype><autogenerate>true</autogenerate><obligatory>true</obligatory><unique>true</unique><length>1</length></application_attribute>
         <application_attribute><name>Name</name><base_attribute>name</base_attribute><datatype>DT_STRING</datatype><autogenerate>false</autogenerate><obligatory>true</obligatory><unique>false</unique><length>50</length></application_attribute>
         <application_attribute><name>MimeType</name><base_attribute>mime_type</base_attribute><datatype>DT_STRING</datatype><autogenerate>false</autogenerate><obligatory>true</obligatory><unique>false</unique><length>256</length></application_attribute>
         <application_attribute><name>Description</name><base_attribute>description</base_attribute><datatype>DT_STRING</datatype><autogenerate>false</autogenerate><obligatory>false</obligatory><unique>false</unique><length>500</length></application_attribute>
         <application_attribute><name>ValueListRef</name><datatype>DT_BOOLEAN</datatype><autogenerate>false</autogenerate><obligatory>false</obligatory><unique>false</unique><length>1</length></application_attribute>
         <application_attribute><name>ValueCopyable</name><datatype>DT_BOOLEAN</datatype><autogenerate>false</autogenerate><obligatory>false</obligatory><unique>false</unique><length>1</length></application_attribute>
         <application_attribute><name>ActionRequestClassname</name><datatype>DT_STRING</datatype><autogenerate>false</autogenerate><obligatory>false</obligatory><unique>false</unique><length>150</length></application_attribute>
         <application_attribute><name>ActionRequestParameter</name><datatype>DT_STRING</datatype><autogenerate>false</autogenerate><obligatory>false</obligatory><unique>false</unique><length>150</length></application_attribute>
         <application_attribute><name>Sortindex</name><datatype>DT_LONG</datatype><autogenerate>false</autogenerate><obligatory>false</obligatory><unique>false</unique><length>1</length></application_attribute>
         <relation_attribute><name>CatSensor</name><ref_to>CatSensor</ref_to><base_relation>parent</base_relation><min_occurs>1</min_occurs><max_occurs>1</max_occurs><inverse_name>CatSensorAttr</inverse_name></relation_attribute>
         <relation_attribute><name>ValueList</name><ref_to>ValueList</ref_to><min_occurs>0</min_occurs><max_occurs>1</max_occurs><inverse_name>CatSensorAttr</inverse_name></relation_attribute>
      </application_element>
      <application_element><name>CatTestEquipmentComp</name><basetype>AoAny</basetype>
         <application_attribute><name>Id</name><base_attribute>id</base_attribute><datatype>DT_LONGLONG</datatype><autogenerate>true</autogenerate><obligatory>true</obligatory><unique>true</unique><length>1</length></application_attribute>
         <application_attribute><name>Name</name><base_attribute>name</base_attribute><datatype>DT_STRING</datatype><autogenerate>false</autogenerate><obligatory>true</obligatory><unique>true</unique><length>30</length></application_attribute>
         <application_attribute><name>MimeType</name><base_attribute>mime_type</base_attribute><datatype>DT_STRING</datatype><autogenerate>false</autogenerate><obligatory>true</obligatory><unique>false</unique><length>256</length></application_attribute>
         <application_attribute><name>Description</name><base_attribute>description</base_attribute><datatype>DT_STRING</datatype><autogenerate>false</autogenerate><obligatory>false</obligatory><unique>false</unique><length>500</length></application_attribute>
         <application_attribute><name>DateCreated</name><base_attribute>version_date</base_attribute><datatype>DT_DATE</datatype><autogenerate>false</autogenerate><obligatory>false</obligatory><unique>false</unique><length>30</length></application_attribute>
         <application_attribute><name>ValidFlag</name><datatype>DT_ENUM</datatype><enumeration_type>valid_enum</enumeration_type><autogenerate>false</autogenerate><obligatory>true</obligatory><unique>false</unique><length>1</length></application_attribute>
         <relation_attribute><name>CatTestEquipmentAttr</name><ref_to>CatTestEquipmentAttr</ref_to><base_relation>children</base_relation><min_occurs>0</min_occurs><max_occurs>Many</max_occurs><inverse_name>CatTestEquipmentComp</inverse_name></relation_attribute>
         <relation_attribute><name>CatSensor</name><ref_to>CatSensor</ref_to><base_relation>children</base_relation><min_occurs>0</min_occurs><max_occurs>Many</max_occurs><inverse_name>CatTestEquipmentComp</inverse_name></relation_attribute>
      </application_element>
      <application_element><name>CatTestEquipmentAttr</name><basetype>AoAny</basetype>
         <application_attribute><name>Id</name><base_attribute>id</base_attribute><datatype>DT_LONGLONG</datatype><autogenerate>true</autogenerate><obligatory>true</obligatory><unique>true</unique><length>1</length></application_attribute>
         <application_attribute><name>Name</name><base_attribute>name</base_attribute><datatype>DT_STRING</datatype><autogenerate>false</autogenerate><obligatory>true</obligatory><unique>false</unique><length>30</length></application_attribute>
         <application_attribute><name>MimeType</name><base_attribute>mime_type</base_attribute><datatype>DT_STRING</datatype><autogenerate>false</autogenerate><obligatory>true</obligatory><unique>false</unique><length>256</length></application_attribute>
         <application_attribute><name>Description</name><base_attribute>description</base_attribute><datatype>DT_STRING</datatype><autogenerate>false</autogenerate><obligatory>false</obligatory><unique>false</unique><length>500</length></application_attribute>
         <application_attribute><name>ValueListRef</name><datatype>DT_BOOLEAN</datatype><autogenerate>false</autogenerate><obligatory>false</obligatory><unique>false</unique><length>1</length></application_attribute>
         <application_attribute><name>ValueCopyable</name><datatype>DT_BOOLEAN</datatype><autogenerate>false</autogenerate><obligatory>false</obligatory><unique>false</unique><length>1</length></application_attribute>
         <application_attribute><name>ActionRequestClassname</name><datatype>DT_STRING</datatype><autogenerate>false</autogenerate><obligatory>false</obligatory><unique>false</unique><length>150</length></application_attribute>
         <application_attribute><name>ActionRequestParameter</name><datatype>DT_STRING</datatype><autogenerate>false</autogenerate><obligatory>false</obligatory><unique>false</unique><length>150</length></application_attribute>
         <application_attribute><name>Sortindex</name><datatype>DT_LONG</datatype><autogenerate>false</autogenerate><obligatory>true</obligatory><unique>false</unique><length>1</length></application_attribute>
         <relation_attribute><name>CatTestEquipmentComp</name><ref_to>CatTestEquipmentComp</ref_to><base_relation>parent</base_relation><min_occurs>1</min_occurs><max_occurs>1</max_occurs><inverse_name>CatTestEquipmentAttr</inverse_name></relation_attribute>
         <relation_attribute><name>ValueList</name><ref_to>ValueList</ref_to><min_occurs>0</min_occurs><max_occurs>1</max_occurs><inverse_name>CatTestEquipmentAttr</inverse_name></relation_attribute>
      </application_element>
      <application_element><name>CatTestSequenceComp</name><basetype>AoAny</basetype>
         <application_attribute><name>Id</name><base_attribute>id</base_attribute><datatype>DT_LONGLONG</datatype><autogenerate>true</autogenerate><obligatory>true</obligatory><unique>true</unique><length>1</length></application_attribute>
         <application_attribute><name>Name</name><base_attribute>name</base_attribute><datatype>DT_STRING</datatype><autogenerate>false</autogenerate><obligatory>true</obligatory><unique>true</unique><length>30</length></application_attribute>
         <application_attribute><name>MimeType</name><base_attribute>mime_type</base_attribute><datatype>DT_STRING</datatype><autogenerate>false</autogenerate><obligatory>true</obligatory><unique>false</unique><length>256</length></application_attribute>
         <application_attribute><name>Description</name><base_attribute>description</base_attribute><datatype>DT_STRING</datatype><autogenerate>false</autogenerate><obligatory>false</obligatory><unique>false</unique><length>500</length></application_attribute>
         <application_attribute><name>DateCreated</name><base_attribute>version_date</base_attribute><datatype>DT_DATE</datatype><autogenerate>false</autogenerate><obligatory>false</obligatory><unique>false</unique><length>30</length></application_attribute>
         <application_attribute><name>ValidFlag</name><datatype>DT_ENUM</datatype><enumeration_type>valid_enum</enumeration_type><autogenerate>false</autogenerate><obligatory>true</obligatory><unique>false</unique><length>1</length></application_attribute>
         <relation_attribute><name>CatTestSequenceAttr</name><ref_to>CatTestSequenceAttr</ref_to><base_relation>children</base_relation><min_occurs>0</min_occurs><max_occurs>Many</max_occurs><inverse_name>CatTestSequenceComp</inverse_name></relation_attribute>
      </application_element>
      <application_element><name>CatTestSequenceAttr</name><basetype>AoAny</basetype>
         <application_attribute><name>Id</name><base_attribute>id</base_attribute><datatype>DT_LONGLONG</datatype><autogenerate>true</autogenerate><obligatory>true</obligatory><unique>true</unique><length>1</length></application_attribute>
         <application_attribute><name>Name</name><base_attribute>name</base_attribute><datatype>DT_STRING</datatype><autogenerate>false</autogenerate><obligatory>true</obligatory><unique>false</unique><length>30</length></application_attribute>
         <application_attribute><name>MimeType</name><base_attribute>mime_type</base_attribute><datatype>DT_STRING</datatype><autogenerate>false</autogenerate><obligatory>true</obligatory><unique>false</unique><length>256</length></application_attribute>
         <application_attribute><name>Description</name><base_attribute>description</base_attribute><datatype>DT_STRING</datatype><autogenerate>false</autogenerate><obligatory>false</obligatory><unique>false</unique><length>500</length></application_attribute>
         <application_attribute><name>ValueListRef</name><datatype>DT_BOOLEAN</datatype><autogenerate>false</autogenerate><obligatory>false</obligatory><unique>false</unique><length>1</length></application_attribute>
         <application_attribute><name>ValueCopyable</name><datatype>DT_BOOLEAN</datatype><autogenerate>false</autogenerate><obligatory>false</obligatory><unique>false</unique><length>1</length></application_attribute>
         <application_attribute><name>ActionRequestClassname</name><datatype>DT_STRING</datatype><autogenerate>false</autogenerate><obligatory>false</obligatory><unique>false</unique><length>150</length></application_attribute>
         <application_attribute><name>ActionRequestParameter</name><datatype>DT_STRING</datatype><autogenerate>false</autogenerate><obligatory>false</obligatory><unique>false</unique><length>150</length></application_attribute>
         <application_attribute><name>Sortindex</name><datatype>DT_LONG</datatype><autogenerate>false</autogenerate><obligatory>true</obligatory><unique>false</unique><length>1</length></application_attribute>
         <relation_attribute><name>CatTestSequenceComp</name><ref_to>CatTestSequenceComp</ref_to><base_relation>parent</base_relation><min_occurs>1</min_occurs><max_occurs>1</max_occurs><inverse_name>CatTestSequenceAttr</inverse_name></relation_attribute>
         <relation_attribute><name>ValueList</name><ref_to>ValueList</ref_to><min_occurs>0</min_occurs><max_occurs>1</max_occurs><inverse_name>CatTestSequenceAttr</inverse_name></relation_attribute>
      </application_element>
      <application_element><name>CatUnitUnderTestComp</name><basetype>AoAny</basetype>
         <application_attribute><name>Id</name><base_attribute>id</base_attribute><datatype>DT_LONGLONG</datatype><autogenerate>true</autogenerate><obligatory>true</obligatory><unique>true</unique><length>1</length></application_attribute>
         <application_attribute><name>Name</name><base_attribute>name</base_attribute><datatype>DT_STRING</datatype><autogenerate>false</autogenerate><obligatory>true</obligatory><unique>true</unique><length>30</length></application_attribute>
         <application_attribute><name>MimeType</name><base_attribute>mime_type</base_attribute><datatype>DT_STRING</datatype><autogenerate>false</autogenerate><obligatory>true</obligatory><unique>false</unique><length>256</length></application_attribute>
         <application_attribute><name>Description</name><base_attribute>description</base_attribute><datatype>DT_STRING</datatype><autogenerate>false</autogenerate><obligatory>false</obligatory><unique>false</unique><length>500</length></application_attribute>
         <application_attribute><name>DateCreated</name><base_attribute>version_date</base_attribute><datatype>DT_DATE</datatype><autogenerate>false</autogenerate><obligatory>false</obligatory><unique>false</unique><length>30</length></application_attribute>
         <application_attribute><name>ValidFlag</name><datatype>DT_ENUM</datatype><enumeration_type>valid_enum</enumeration_type><autogenerate>false</autogenerate><obligatory>true</obligatory><unique>false</unique><length>1</length></application_attribute>
         <relation_attribute><name>CatUnitUnderTestAttr</name><ref_to>CatUnitUnderTestAttr</ref_to><base_relation>children</base_relation><min_occurs>0</min_occurs><max_occurs>Many</max_occurs><inverse_name>CatUnitUnderTestComp</inverse_name></relation_attribute>
      </application_element>
      <application_element><name>CatUnitUnderTestAttr</name><basetype>AoAny</basetype>
         <application_attribute><name>Id</name><base_attribute>id</base_attribute><datatype>DT_LONGLONG</datatype><autogenerate>true</autogenerate><obligatory>true</obligatory><unique>true</unique><length>1</length></application_attribute>
         <application_attribute><name>Name</name><base_attribute>name</base_attribute><datatype>DT_STRING</datatype><autogenerate>false</autogenerate><obligatory>true</obligatory><unique>false</unique><length>30</length></application_attribute>
         <application_attribute><name>MimeType</name><base_attribute>mime_type</base_attribute><datatype>DT_STRING</datatype><autogenerate>false</autogenerate><obligatory>true</obligatory><unique>false</unique><length>256</length></application_attribute>
         <application_attribute><name>Description</name><base_attribute>description</base_attribute><datatype>DT_STRING</datatype><autogenerate>false</autogenerate><obligatory>false</obligatory><unique>false</unique><length>1500</length></application_attribute>
         <application_attribute><name>ValueListRef</name><datatype>DT_BOOLEAN</datatype><autogenerate>false</autogenerate><obligatory>false</obligatory><unique>false</unique><length>1</length></application_attribute>
         <application_attribute><name>ValueCopyable</name><datatype>DT_BOOLEAN</datatype><autogenerate>false</autogenerate><obligatory>false</obligatory><unique>false</unique><length>1</length></application_attribute>
         <application_attribute><name>ActionRequestClassname</name><datatype>DT_STRING</datatype><autogenerate>false</autogenerate><obligatory>false</obligatory><unique>false</unique><length>150</length></application_attribute>
         <application_attribute><name>ActionRequestParameter</name><datatype>DT_STRING</datatype><autogenerate>false</autogenerate><obligatory>false</obligatory><unique>false</unique><length>150</length></application_attribute>
         <application_attribute><name>Sortindex</name><datatype>DT_LONG</datatype><autogenerate>false</autogenerate><obligatory>true</obligatory><unique>false</unique><length>1</length></application_attribute>
         <relation_attribute><name>CatUnitUnderTestComp</name><ref_to>CatUnitUnderTestComp</ref_to><base_relation>parent</base_relation><min_occurs>1</min_occurs><max_occurs>1</max_occurs><inverse_name>CatUnitUnderTestAttr</inverse_name></relation_attribute>
         <relation_attribute><name>ValueList</name><ref_to>ValueList</ref_to><min_occurs>0</min_occurs><max_occurs>1</max_occurs><inverse_name>CatUnitUnderTestAttr</inverse_name></relation_attribute>
      </application_element>
      <application_element><name>ValueList</name><basetype>AoParameterSet</basetype>
         <application_attribute><name>Id</name><base_attribute>id</base_attribute><datatype>DT_LONGLONG</datatype><autogenerate>true</autogenerate><obligatory>true</obligatory><unique>true</unique><length>1</length></application_attribute>
         <application_attribute><name>Name</name><base_attribute>name</base_attribute><datatype>DT_STRING</datatype><autogenerate>false</autogenerate><obligatory>true</obligatory><unique>true</unique><length>50</length></application_attribute>
         <application_attribute><name>MimeType</name><base_attribute>mime_type</base_attribute><datatype>DT_STRING</datatype><autogenerate>false</autogenerate><obligatory>true</obligatory><unique>false</unique><length>256</length></application_attribute>
         <application_attribute><name>Description</name><base_attribute>description</base_attribute><datatype>DT_STRING</datatype><autogenerate>false</autogenerate><obligatory>false</obligatory><unique>false</unique><length>500</length></application_attribute>
         <application_attribute><name>DateCreated</name><base_attribute>version_date</base_attribute><datatype>DT_DATE</datatype><autogenerate>false</autogenerate><obligatory>false</obligatory><unique>false</unique><length>30</length></application_attribute>
         <relation_attribute><name>ValueListValue</name><ref_to>ValueListValue</ref_to><base_relation>parameters</base_relation><min_occurs>0</min_occurs><max_occurs>Many</max_occurs><inverse_name>ValueList</inverse_name></relation_attribute>
         <relation_attribute><name>CatUnitUnderTestAttr</name><ref_to>CatUnitUnderTestAttr</ref_to><min_occurs>0</min_occurs><max_occurs>Many</max_occurs><inverse_name>ValueList</inverse_name></relation_attribute>
         <relation_attribute><name>CatTestEquipmentAttr</name><ref_to>CatTestEquipmentAttr</ref_to><min_occurs>0</min_occurs><max_occurs>Many</max_occurs><inverse_name>ValueList</inverse_name></relation_attribute>
         <relation_attribute><name>CatTestSequenceAttr</name><ref_to>CatTestSequenceAttr</ref_to><min_occurs>0</min_occurs><max_occurs>Many</max_occurs><inverse_name>ValueList</inverse_name></relation_attribute>
         <relation_attribute><name>CatSensorAttr</name><ref_to>CatSensorAttr</ref_to><min_occurs>0</min_occurs><max_occurs>Many</max_occurs><inverse_name>ValueList</inverse_name></relation_attribute>
      </application_element>
      <application_element><name>ValueListValue</name><basetype>AoParameter</basetype>
         <application_attribute><name>Id</name><base_attribute>id</base_attribute><datatype>DT_LONGLONG</datatype><autogenerate>true</autogenerate><obligatory>true</obligatory><unique>true</unique><length>1</length></application_attribute>
         <application_attribute><name>Name</name><base_attribute>name</base_attribute><datatype>DT_STRING</datatype><autogenerate>false</autogenerate><obligatory>true</obligatory><unique>false</unique><length>50</length></application_attribute>
         <application_attribute><name>MimeType</name><base_attribute>mime_type</base_attribute><datatype>DT_STRING</datatype><autogenerate>false</autogenerate><obligatory>true</obligatory><unique>false</unique><length>256</length></application_attribute>
         <application_attribute><name>Description</name><base_attribute>description</base_attribute><datatype>DT_STRING</datatype><autogenerate>false</autogenerate><obligatory>false</obligatory><unique>false</unique><length>500</length></application_attribute>
         <application_attribute><name>DataType</name><base_attribute>parameter_datatype</base_attribute><datatype>DT_ENUM</datatype><enumeration_type>datatype_enum</enumeration_type><autogenerate>false</autogenerate><obligatory>true</obligatory><unique>false</unique><length>1</length></application_attribute>
         <application_attribute><name>Value</name><base_attribute>pvalue</base_attribute><datatype>DT_STRING</datatype><autogenerate>false</autogenerate><obligatory>true</obligatory><unique>false</unique><length>500</length></application_attribute>
         <application_attribute><name>Sortindex</name><datatype>DT_LONG</datatype><autogenerate>false</autogenerate><obligatory>true</obligatory><unique>false</unique><length>1</length></application_attribute>
         <relation_attribute><name>ValueList</name><ref_to>ValueList</ref_to><base_relation>parameter_set</base_relation><min_occurs>1</min_occurs><max_occurs>1</max_occurs><inverse_name>ValueListValue</inverse_name></relation_attribute>
      </application_element>
   </application_model>
<!-- 
***************************************************************************************************************
* end application model meta data *
***************************************************************************************************************
 -->
<!--
***************************************************************************************************************
* Instance Data is NOT validated with Base Schema *
***************************************************************************************************************
 -->

   <instance_data>
   </instance_data>
</atfx_file>